Call Handling
All operations require authentication.
List speed dial numbersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a speed dial numberProduction
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Create a speed dial numberProduction
Path parameters
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Delete a speed dial numberProduction
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"Update a speed dial numberProduction
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"List speed dial numbersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a speed dial numberProduction
Path parameters
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses abbreviatedNumber = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Create a speed dial numberProduction
Path parameters
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Delete a speed dial numberProduction
Path parameters
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
Example uses abbreviatedNumber = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"Update a speed dial numberProduction
Path parameters
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "2" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
Example uses abbreviatedNumber = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"List automatic callsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ automaticCall \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an automatic callProduction
Path parameters
The name of your billingAccount
Generated call identifier
Response
answer date
Application and dialplan running for call
end status of application
billingNumber (service used)
creation date of the call
call duration on seconds
number called
number where the call come from
DTMF received during the call separate by commas
hangup cause
AccessInformationDiscardedAllottedTimeoutAttendedTransferBlindTransferCallAwardedbeingChannelTypeNotImplementedChannelUnacceptableCodeSip403BearerCapabilityNotAuthorizedCodeSip403IncomingCallsBarredCodeSip403OutgoingCallsBarredCodeSip404NoRouteToDestinationCodeSip404NoRouteToSpecifiedTransitNetworkCodeSip404UnallocatedNumberCodeSip408NoUserRespondingCodeSip410NumberChangedCodeSip410RedirectionToNewDestinationCodeSip480NoAnswerFromUserCodeSip480NormalUnspecifiedCodeSip480SubscriberAbsentCodeSip483ExchangeRoutingErrorCodeSip484InvalidNumberFormatAddressIncompleteCodeSip486UserBusyCodeSip487OriginatorCancelCodeSip488IncompatibleDestinationCodeSip488bearerCapabilityNotImplementedCodeSip501FacilitiesRejectedCodeSip501RequestedFacilityNotImplementedCodeSip501ServiceOrOptionNotImplementedUnspecifiedCodeSip502DestinationOutOfOrderCodeSip503BearerCapabilityNotPresentlyAvailableCodeSip503NetworkOutOfOrderCodeSip503NoCircuitChannelAvailableCodeSip503RequestedCircuitOrChannelNotAvailableCodeSip503SwitchingEquipmentCongestionCodeSip503TemporaryFailureCodeSip504RecoveryOnTimerExpiryCodeSip603CallRejectedCrashGatewayDownInformationElementOrParameterNonExistentOrNotImplementedInterworkingUnspecifiedInvalidCallReferenceValueInvalidInformationElementContentsInvalidMessageUnspecifiedLoseRaceManagerRequestMandatoryInformationElementIsMissingMediaTimeoutMessageNotCompatibleWithCallStateMessageNotCompatibleWithCallStateOrMessageTypeNonExistentOrNotImplementedMessageTypeNonExistentOrNotImplementedNormalCallClearingParameterNonExistentOrNotImplementedPassedOnNationalUsePickedOffPreEmptedProgressTimeoutProtocolErrorUnspecifiedRequestedFacilityNotSubscribedResponseToStatusInquiryServiceOrOptionNotAvailableUnspecifiedSystemShutdownUnknownOrCallUnfinishedUnspecifiedNoOtherCauseCodesApplicableUserChallengeUserNotRegisteredhangup date
Generated call identifier
original call uuid if it's a transfer
unique call id
Example uses billingAccount = string, identifier = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ automaticCall/ {identifier} \
-H "authorization: Bearer $OVH_TOKEN"{ "answerDatetime": "2024-01-01T12:00:00Z", "application": "string", "applicationResult": "string", "billingNumber": "string", "callCreatedDatetime": "2024-01-01T12:00:00Z", "callDuration": 0, "callee": "string", "caller": "string", "dtmf": "string", "hangupCause": "AccessInformationDiscarded", "hangupDatetime": "2024-01-01T12:00:00Z", "identifier": "string", "transferFrom": "string", "uuid": "string"}
Make an automatic callProduction
Path parameters
The name of your billingAccount
Request body (required)
Number to call if transfer in dialplan selected
Number to call
Optional, number where the call come from
Dialplan used for the call
ReadTextRequestAppointmentConfirmationRequestAppointmentConfirmationWithTransferFor anonymous call
Name of the audioFile (if needed) with extention. This audio file must have been upload previously
Timeout (in seconds). Default is 20 seconds
Text to read if TTS on dialplan selected
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ automaticCall \
-H "authorization: Bearer $OVH_TOKEN""string"
List live callsDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ calls \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a live callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Path parameters
The name of your billingAccount
Id of the object
Response
Name or number of the agent who answered the call
Answer date of the call
Begin date of the call
Name of the caller (or anonymous if unknown)
Phone number of the caller (or anonymous if unknown)
Phone number called (in case of an outgoing call)
End date of the call
Whether or not the call is on hold
Name of the queue of the call
Current state of the call
AnsweredWaitingExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}
Eavesdrop on a callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ eavesdrop \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Hang up a callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ hangup \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Toggle hold on a callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ hold \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Intercept an unanswered callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and that will intercept the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ intercept \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Transfer an answered callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number to whom the communication will be transfered
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ transfer \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Whisper on a callDeprecated
Deprecated since Mar 23, 2022, will be removed on Jun 23, 2022.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Whispering mode
Whisper to agent onlyWhisper to all participantsResponse
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ calls/ {id}/ whisper \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Start a call from the lineProduction
Path parameters
The name of your billingAccount
Request body (required)
Activate the calling number in intercom mode automatically (pick up and speaker automatic activation).
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ click2Call \
-H "authorization: Bearer $OVH_TOKEN"List click2call usersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a click2call userProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Date when user was created
Contact identifier
login of the click 2 call user
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDateTime": "2024-01-01T12:00:00Z", "id": 0, "login": "string"}
Create a click2call userProduction
Path parameters
The name of your billingAccount
Request body (required)
Name of the contact
The user password
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser \
-H "authorization: Bearer $OVH_TOKEN"0
Delete a click2call userProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Change the user passwordProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
The password
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser/ {id}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"Start a call from the lineProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ click2CallUser/ {id}/ click2Call \
-H "authorization: Bearer $OVH_TOKEN"List call recordingsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ records \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a call recordingProduction
Path parameters
The name of your billingAccount
Id of the object
Response
The agent number of the recorded call
The end date of the recorded call
The begin date of the recorded call
The caller name of the recorded call
The caller number of the recorded call
The destination number of the recorded call
The duration in seconds of the recorded call
The record sound url
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ records/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "callEnd": "2024-01-01T12:00:00Z", "callStart": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "duration": 0, "fileUrl": "string", "id": 0}
Delete a call recordingProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ records/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get line statisticsDeprecated
Deprecated since Mar 17, 2022, will be removed on Jun 17, 2022.
Path parameters
The name of your billingAccount
Query parameters
Available timeframes for statistics
dailyhourlymonthlyweeklyyearlyTypes of statistics available for a line.
maxDelaymaxJitterrtpMossumRtpLostResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ statistics \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ]}
List traffic extractsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ trafficExtracts \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a traffic extractProduction
Path parameters
The name of your billingAccount
Id of the object
Response
The start date of the traffic extract
The start date of the traffic extract
The PCAP file size of the traffic extract
The PCAP URL of the traffic extract
The id of the traffic extract
The status of the extract
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ trafficExtracts/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "fileSize": 0, "fileUrl": "string", "id": 0, "status": "doing"}
Start a traffic extractProduction
Path parameters
The name of your billingAccount
Request body (required)
The end date of the traffic extract
The start date of the traffic extract
Response
The start date of the traffic extract
The start date of the traffic extract
The PCAP file size of the traffic extract
The PCAP URL of the traffic extract
The id of the traffic extract
The status of the extract
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ trafficExtracts \
-H "authorization: Bearer $OVH_TOKEN"{ "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "fileSize": 0, "fileUrl": "string", "id": 0, "status": "doing"}
Delete a traffic extractProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ line/ {serviceName}/ trafficExtracts/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List schedulersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a schedulerProduction
Path parameters
The name of your billingAccount
Response
Time zones available for scheduled events time definitions
Europe/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/ZurichExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string", "timeZone": "Europe/Berlin"}
Update a schedulerProduction
Path parameters
The name of your billingAccount
Request body (required)
Time zones available for scheduled events time definitions
Europe/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/ZurichResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List scheduler eventsProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of categories property (=)
holidaysscheduler1scheduler2scheduler3Filter the value of dateEnd property (>=)
Filter the value of dateEnd property (<=)
Filter the value of dateStart property (>=)
Filter the value of dateStart property (<=)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a scheduler eventProduction
Path parameters
The name of your billingAccount
The unique ICS event identifier
Response
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The unique ICS event identifier
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"{ "categories": "holidays", "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "description": "string", "title": "string", "uid": "string"}
Create a scheduler eventProduction
Path parameters
The name of your billingAccount
Request body (required)
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The descritpion of the event
The title of the event
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events \
-H "authorization: Bearer $OVH_TOKEN"Delete a scheduler eventProduction
Path parameters
The name of your billingAccount
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"Update a scheduler eventProduction
Path parameters
The name of your billingAccount
The unique ICS event identifier
Request body (required)
The category of the event
holidaysscheduler1scheduler2scheduler3The ending date of the event
The beginning date of the event
The unique ICS event identifier
Response
Example uses billingAccount = string, serviceName = string, uid = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ events/ {uid} \
-H "authorization: Bearer $OVH_TOKEN"Import an ICS calendarProduction
Path parameters
The name of your billingAccount
Request body (required)
The URL of your ICS formated calendar
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ scheduler/ {serviceName}/ importIcsCalendar \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List call filtering servicesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get call filtering settingsProduction
Path parameters
The name of your billingAccount
Response
Type of screen list
blacklistdisabledwhitelistType of screen list
blacklistdisabledwhitelistExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "incomingScreenList": "blacklist", "outgoingScreenList": "blacklist", "serviceName": "string"}
Update call filtering settingsProduction
Path parameters
The name of your billingAccount
Request body (required)
Type of screen list
blacklistdisabledwhitelistType of screen list
blacklistdisabledwhitelistResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List filtering rulesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a filtering ruleProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Nature of screen list
faxinternationalservicesspecialvoicemailType of screen list
incomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteListExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "callNumber": "string", "id": 0, "nature": "fax", "status": "string", "type": "incomingBlackList"}
Create a filtering ruleProduction
Path parameters
The name of your billingAccount
Request body (required)
The callNumber of the generic screen list
The nature of the generic screen list
faxinternationalservicesspecialvoicemailThe type of the generic screen list
incomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteListResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"Delete a filtering ruleProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ screen/ {serviceName}/ screenLists/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List time condition servicesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a time condition serviceProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "serviceName": "string"}
List time conditionsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a time conditionProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}
Create a time conditionProduction
Path parameters
The name of your billingAccount
Request body (required)
The day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayThe hour where the time condition begins (format : hhmm)
The hour where the time condition ends (format : hhmm)
The policy
availableslot1slot2slot3Response
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition \
-H "authorization: Bearer $OVH_TOKEN"{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}
Delete a time conditionProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a time conditionProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Day of the time condition
fridayholidaymondaysaturdaysundaythursdaytuesdaywednesdayPolicy of the time condition
availableslot1slot2slot3Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ condition/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get time condition optionsProduction
Path parameters
The name of your billingAccount
Response
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailStatus of time conditions
deleteddisabledenabledTimeout value of the time condition
51015202530354045505560657075808590Number associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"{ "slot1Number": "string", "slot1Type": "number", "slot2Number": "string", "slot2Type": "number", "slot3Number": "string", "slot3Type": "number", "status": "deleted", "timeout": 5, "unavailableNumber": "string", "unavailableType": "number"}
Update time condition optionsProduction
Path parameters
The name of your billingAccount
Request body (required)
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailStatus of time conditions
deleteddisabledenabledTimeout value of the time condition
51015202530354045505560657075808590Number associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ timeCondition/ {serviceName}/ options \
-H "authorization: Bearer $OVH_TOKEN"